tbb::internal::thread_closure_2< F, X, Y > Struct Template Reference

`#include <tbb_thread.h>`

Inheritance diagram for tbb::internal::thread_closure_2< F, X, Y >:
Collaboration diagram for tbb::internal::thread_closure_2< F, X, Y >:

## Public Member Functions

| thread_closure_2 (const F &f, const X &x, const Y &y)
Public Member Functions inherited from tbb::internal::thread_closure_base
void * | operator new (size_t size)
void | operator delete (void *ptr)

## Static Public Member Functions

static __TBB_NATIVE_THREAD_ROUTINE | start_routine (void *c)
| Routine passed to Windows's _beginthreadex by thread::internal_start() inside tbb.dll. More...

## Public Attributes

F | function
X | arg1
Y | arg2

## Detailed Description

### template<class F, class X, class Y>
struct tbb::internal::thread_closure_2< F, X, Y >

Definition at line 107 of file tbb_thread.h.

## Constructor & Destructor Documentation

## thread_closure_2()

template<class F , class X , class Y >

tbb::internal::thread_closure_2< F, X, Y >::thread_closure_2 | ( | const F & | f,
|  | const X & | x,
|  | const Y & | y
| ) |  |

inline

Definition at line 118 of file tbb_thread.h.

: function(f), arg1(x), arg2(y) {}

## Member Function Documentation

## start_routine()

template<class F , class X , class Y >

static __TBB_NATIVE_THREAD_ROUTINE tbb::internal::thread_closure_2< F, X, Y >::start_routine | ( | void * | c | ) |

inline static

Routine passed to Windows's _beginthreadex by thread::internal_start() inside tbb.dll.

Definition at line 112 of file tbb_thread.h.

{
thread_closure_2 *self = static_cast<thread_closure_2*>(c);
self->function(self->arg1, self->arg2);
delete self;
return 0;
}

## Member Data Documentation

## arg1

template<class F , class X , class Y >

X tbb::internal::thread_closure_2< F, X, Y >::arg1

Definition at line 109 of file tbb_thread.h.

## arg2

template<class F , class X , class Y >

Y tbb::internal::thread_closure_2< F, X, Y >::arg2

Definition at line 110 of file tbb_thread.h.

## function

template<class F , class X , class Y >

F tbb::internal::thread_closure_2< F, X, Y >::function

Definition at line 108 of file tbb_thread.h.

The documentation for this struct was generated from the following file:

- tbb_thread.h

tbb::internal::thread_closure_2::thread_closure_2
thread_closure_2(const F &f, const X &x, const Y &y)
Definition: tbb_thread.h:118
tbb::internal::thread_closure_2::arg1
X arg1
Definition: tbb_thread.h:109
tbb::internal::thread_closure_2::arg2
Y arg2
Definition: tbb_thread.h:110

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.